Bug 907688 - Review Request: python-urllib3 - Python HTTP library with thread-safe connection pooling and file post
Review Request: python-urllib3 - Python HTTP library with thread-safe connect...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ankur Sinha (FranciscoD)
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: 855322 904623 956430
  Show dependency treegraph
 
Reported: 2013-02-04 20:03 EST by Ralph Bean
Modified: 2013-11-15 13:57 EST (History)
6 users (show)

See Also:
Fixed In Version: python-urllib3-1.5-7.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-15 13:57:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
sanjay.ankur: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Ralph Bean 2013-02-04 20:03:56 EST
Spec URL: http://ralph.fedorapeople.org//python-urllib3.spec
SRPM URL: http://ralph.fedorapeople.org//python-urllib3-1.5-1.fc18.src.rpm

Description:
Python HTTP module with connection pooling and file POST abilities.
Comment 1 Ralph Bean 2013-02-04 20:04:02 EST
This package built on koji:  http://koji.fedoraproject.org/koji/taskinfo?taskID=4928893
Comment 2 Ralph Bean 2013-02-05 12:46:56 EST
A new release that includes unittests for python3 subpackage:

Spec URL: http://threebean.org/rpm/python-urllib3.spec
SRPM URL: http://threebean.org/rpm/python-urllib3-1.5-2.fc18.src.rpm
Comment 3 Ralph Bean 2013-02-05 12:47:20 EST
Rebuilt on koji:  http://koji.fedoraproject.org/koji/taskinfo?taskID=4930677
Comment 4 Ralph Bean 2013-02-27 10:16:04 EST
Here is a new release that:

 - Renames the patches appropriately with "python-urllib3-" prefixes.
 - Fixes ssl check patch to use the correct cert path for Fedora.
 - Includes a new dependency on ca-certificates.
 - Makes cosmetic indentation changes to the .spec for readability.

Spec URL: http://threebean.org/rpm/python-urllib3.spec
SRPM URL: http://threebean.org/rpm/python-urllib3-1.5-3.fc18.src.rpm

Rebuilt on koji:  http://koji.fedoraproject.org/koji/taskinfo?taskID=5061070
Comment 5 Ankur Sinha (FranciscoD) 2013-02-27 23:24:20 EST
Review:

[+] OK
[-] NA
[?] Issue

** Mandatory review guidelines: **
 [+] rpmlint output:
[ankur@dhcppc1  SRPMS]$ rpmlint ../SPECS/python-urllib3.spec ./python-urllib3-1.5-3.fc18.src.rpm /var/lib/mock/fedora-rawhide-x86_64/result/*.rpm
4 packages and 1 specfiles checked; 0 errors, 0 warnings.
[ankur@dhcppc1  SRPMS]$

 [+] License is acceptable (...)
[ankur@dhcppc1  urllib3-1.5]$ find . -name "*" -exec licensecheck '{}' \; | sed
'/UNKNOWN/ d'
./urllib3/_collections.py: MIT/X11 (BSD like)
./urllib3/util.py: MIT/X11 (BSD like)
./urllib3/__init__.py: MIT/X11 (BSD like)
./urllib3/poolmanager.py: MIT/X11 (BSD like)
./urllib3/filepost.py: MIT/X11 (BSD like)
./urllib3/response.py: MIT/X11 (BSD like) GENERATED FILE
./urllib3/exceptions.py: MIT/X11 (BSD like)
./urllib3/connectionpool.py: MIT/X11 (BSD like)
./urllib3/request.py: MIT/X11 (BSD like)
./urllib3/_collections.py: MIT/X11 (BSD like)
./urllib3/util.py: MIT/X11 (BSD like)
./urllib3/__init__.py: MIT/X11 (BSD like)
./urllib3/poolmanager.py: MIT/X11 (BSD like)
./urllib3/filepost.py: MIT/X11 (BSD like)
./urllib3/response.py: MIT/X11 (BSD like) GENERATED FILE
./urllib3/exceptions.py: MIT/X11 (BSD like)
./urllib3/packages/six.py: MIT/X11 (BSD like)
./urllib3/packages/six.py: MIT/X11 (BSD like)
./urllib3/connectionpool.py: MIT/X11 (BSD like)
./urllib3/request.py: MIT/X11 (BSD like)
./LICENSE.txt: MIT/X11 (BSD like)
[ankur@dhcppc1  urllib3-1.5]$

 [+] License field in spec is correct
 [+] License files included in package %docs if included in source package
 [+] License files installed when any subpackage combination is installed
 [+] Spec written in American English
 [+] Spec is legible
 [+] Sources match upstream unless altered to fix permissibility issues
Getting http://pypi.python.org/packages/source/u/urllib3/urllib3-1.5.tar.gz to /tmp/review/urllib3-1.5.tar.gz
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed
100 36783  100 36783    0     0  50446      0 --:--:-- --:--:-- --:--:-- 51589
3ee4b375a095bb6098f1ed75f8058e48  /tmp/review/urllib3-1.5.tar.gz
3ee4b375a095bb6098f1ed75f8058e48 /home/ankur/rpmbuild/SOURCES/urllib3-1.5.tar.gz

 [+] Build succeeds on at least one primary arch
 [-] Build succeeds on all primary arches or has ExcludeArch + bugs filed
 [+] BuildRequires correct, justified where necessary
 [+] Locales handled with %find_lang, not %_datadir/locale/*
 [-] %post, %postun call ldconfig if package contains shared .so files
 [+] No bundled libs
 [-] Relocatability is justified
 [+] Package owns all directories it creates
 [+] Package requires others for directories it uses but does not own
 [+] No duplication in %files unless necessary for license files
 [+] File permissions are sane
 [+] Package contains permissible code or content
 [-] Large docs go in -doc subpackage
 [+] %doc files not required at runtime
 [-] Static libs go in -static package/virtual Provides
 [-] Development files go in -devel package
 [-] -devel packages Require base with fully-versioned dependency, %_isa
 [-] No .la files
 [-] GUI app uses .desktop file, installs it with desktop-file-install
 [+] File list does not conflict with other packages' without justification
 [+] File names are valid UTF-8

** Optional review guidelines: **
 [-] Query upstream about including license files
 [-] Translations of description, summary
 [+] Builds in mock
 [+] Builds on all arches
 [-] Functions as described (e.g. no crashes)
 [-] Scriptlets are sane
 [-] Subpackages require base with fully-versioned dependency if sensible
 [-] .pc file subpackage placement is sensible
 [-] No file deps outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin
 [-] Include man pages if available

Naming guidelines:
 [+] Package names use only a-zA-Z0-9-._+ subject to restrictions on -._+
 [+] Package names are sane
 [+] No naming conflicts
 [+] Spec file name matches base package name
 [+] Version is sane
 [+] Version does not contain ~
 [+] Release is sane
 [+] %dist tag
 [+] Case used only when necessary
 [-] Renaming handled correctly

Packaging guidelines:
 [+] Useful without external bits
 [+] No kmods
 [+] Pre-built binaries, libs removed in %prep
 [+] Sources contain only redistributable code or content
 [+] Spec format is sane
 [+] Package obeys FHS, except libexecdir, /run, /usr/target
 [+] No files in /bin, /sbin, /lib* on >= F17
 [+] Programs run before FS mounting use /run instead of /var/run
 [+] Binaries in /bin, /sbin do not depend on files in /usr on < F17
 [+] No files under /srv, /opt, /usr/local
 [+] Changelog in prescribed format
 [+] No Packager, Vendor, Copyright, PreReq tags
 [+] Summary does not end in a period

 [X] Correct BuildRoot tag on < EL6
 [X] Correct %clean section on < EL6

Please check this: you might need a BuildRoot tag and clean section for < EL6


 [+] Requires correct, justified where necessary
 [+] Summary, description do not use trademarks incorrectly
 [+] All relevant documentation is packaged, appropriately marked with %doc
 [+] Doc files do not drag in extra dependencies (e.g. due to +x)
 [-] Code compilable with gcc is compiled with gcc
 [-] Build honors applicable compiler flags or justifies otherwise
 [-] PIE used for long-running/root daemons, setuid/filecap programs
 [-] Useful -debuginfo package or disabled and justified
 [-] Package with .pc files Requires pkgconfig on < EL6
 [-] No static executables
 [-] Rpath absent or only used for internal libs
 [-] Config files marked with %config(noreplace) or justified %config
 [-] No config files under /usr
 [-] Third party package manager configs acceptable, in %_docdir
 [-] .desktop files are sane
 [+] Spec uses macros consistently
 [+] Spec uses macros instead of hard-coded names where appropriate
 [+] Spec uses macros for executables only when configurability is needed
 [+] %makeinstall used only when alternatives don't work
 [+] Macros in Summary, description are expandable at srpm build time
 [+] Spec uses %{SOURCE#} instead of $RPM_SOURCE_DIR and %sourcedir
 [+] No software collections (scl)
 [-] Macro files named /etc/rpm/macros.%name
 [+] Build uses only python/perl/shell+coreutils/lua/BuildRequired langs
 [+] %global, not %define
 [-] Package translating with gettext BuildRequires it
 [-] Package translating with Linguist BuildRequires qt-devel
 [+] File ops preserve timestamps
 [-] Parallel make
 [-] No Requires(pre,post) notation
 [-] User, group creation handled correctly (See Packaging:UsersAndGroups)
 [-] Web apps go in /usr/share/%name, not /var/www
 [-] Conflicts are justified
 [+] One project per package
 [-] No bundled fonts
 [+] Patches have appropriate commentary
 [+] Available test suites executed in %check
 [-] tmpfiles.d used for /run, /run/lock on >= F15

 ** Python guidelines: **
 [+] Runtime Requires correct
 [+] Python macros declared on < EL6
 [+] All .py files packaged with .pyc, .pyo counterparts
 [+] Includes .egg-info files/directories when generated
 [+] Provides/Requires properly filtered
 [-] Code that invokes gtk.gdk.get_pixels_array() Requires numpy



Looks good to me. 

Please add the buildroot tag and clean sections if you intend to maintain the
package for < EL6 (if required, I haven't checked this up).

The rest looks okay.

XXX APPROVED XXX

Thanks,
Warm regards,
Ankur
Comment 6 Ankur Sinha (FranciscoD) 2013-02-27 23:29:52 EST
 [-] Locales handled with %find_lang, not %_datadir/locale/*

(NA). Stray "+" there.
Comment 7 Ralph Bean 2013-02-28 08:51:13 EST
(In reply to comment #5)
> Looks good to me. 

Great!  Thanks.  :)

> Please add the buildroot tag and clean sections if you intend to maintain the
> package for < EL6 (if required, I haven't checked this up).

I do not; just Fedora and EL6.
Comment 8 Ralph Bean 2013-02-28 08:52:11 EST
New Package SCM Request
=======================
Package Name: python-urllib3
Short Description: Python HTTP library with thread-safe connection pooling and file post
Owners: ralph toshio
Branches: f18 f17 el6
InitialCC:
Comment 9 Gwyn Ciesla 2013-02-28 09:20:33 EST
Git done (by process-git-requests).
Comment 10 Fedora Update System 2013-02-28 10:38:34 EST
python-urllib3-1.5-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/python-urllib3-1.5-3.fc18
Comment 11 Fedora Update System 2013-02-28 10:38:52 EST
python-urllib3-1.5-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/python-urllib3-1.5-3.fc17
Comment 12 Fedora Update System 2013-02-28 10:39:13 EST
python-urllib3-1.5-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-urllib3-1.5-3.el6
Comment 13 Fedora Update System 2013-06-11 13:00:27 EDT
python-urllib3-1.5-6.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/python-urllib3-1.5-6.fc18
Comment 14 Fedora Update System 2013-06-11 13:00:58 EDT
python-urllib3-1.5-6.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/python-urllib3-1.5-6.fc19
Comment 15 Fedora Update System 2013-06-11 13:01:42 EDT
python-urllib3-1.5-6.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/python-urllib3-1.5-6.fc17
Comment 16 Fedora Update System 2013-06-18 02:07:25 EDT
python-urllib3-1.5-6.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2013-06-24 23:25:35 EDT
python-urllib3-1.5-6.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 18 Fedora Update System 2013-06-24 23:26:19 EDT
python-urllib3-1.5-6.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 19 Fedora Update System 2013-10-28 13:45:24 EDT
python-urllib3-1.5-7.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-urllib3-1.5-7.el6
Comment 20 Fedora Update System 2013-10-29 14:05:33 EDT
Package python-urllib3-1.5-7.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing python-urllib3-1.5-7.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2013-11982/python-urllib3-1.5-7.el6
then log in and leave karma (feedback).
Comment 21 Fedora Update System 2013-11-15 13:57:46 EST
python-urllib3-1.5-7.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.